UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQIndexInfo Class Reference

## Public Member Functions
| UMQIndexInfo (byte[] index, int length) throws LBMEInvalException
| UMQIndexInfo (long index)
int | flags ()
byte[] | index () throws LBMEInvalException
long | numericIndex () throws LBMEInvalException
int | indexLength () throws LBMEInvalException
void | setIndex (byte[] index, int length) throws LBMEInvalException
void | setNumericIndex (long index)

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo | ( | byte[] | index,
|  | int | length
| ) |  | throws LBMEInvalException

Creates a UMQIndexInfo object and initializes fields to the supplied values.

Parameters

  index | Index (user-specified binary data).
  length | Length of index data.

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UMQ 1.2

References com.latencybusters.lbm.UMQIndexInfo.index(), and com.latencybusters.lbm.UMQIndexInfo.setIndex().

com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo | ( | long | index | ) |

Creates a numeric UMQIndexInfo object and initializes fields to the supplied values.

Parameters

  index | Numeric index (64-bit number).

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UMQ 1.2

References com.latencybusters.lbm.UMQIndexInfo.setNumericIndex().

## Member Function Documentation

int com.latencybusters.lbm.UMQIndexInfo.flags | ( |  | ) |

Returns flags for the UMQIndexInfo object.

Returns
  flags.

Since
  UMQ 1.2

byte [] com.latencybusters.lbm.UMQIndexInfo.index | ( |  | ) | throws LBMEInvalException

Returns index for non-numeric UMQIndexInfo objects.

Returns
  Index data.

Exceptions

  LBMEInvalException | if the index is numeric.

Since
  UMQ 1.2

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

Referenced by com.latencybusters.lbm.UMQIndexInfo.setIndex(), com.latencybusters.lbm.UMQIndexInfo.setNumericIndex(), and com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo().

int com.latencybusters.lbm.UMQIndexInfo.indexLength | ( |  | ) | throws LBMEInvalException

Returns length of non-numeric index.

Returns
  Index length.

Exceptions

  LBMEInvalException | if called on a numeric UMQIndexInfo object.

Since
  UMQ 1.2

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

long com.latencybusters.lbm.UMQIndexInfo.numericIndex | ( |  | ) | throws LBMEInvalException

Returns numeric index for numeric UMQIndexInfo objects.

Returns
  Numeric index.

Exceptions

  LBMEInvalException | if the index is not numeric.

Since
  UMQ 1.2

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

void com.latencybusters.lbm.UMQIndexInfo.setIndex | ( | byte[] | index,
|  | int | length
| ) |  | throws LBMEInvalException

Sets non-numeric index to given data.

Parameters

  index | Index data to set.
  length | Length of index data.

Exceptions

  LBMEInvalException | if index data is null, or index length is <= 0 or > LBM.UMQ_MAX_INDEX_LEN.

Since
  UMQ 1.2

References com.latencybusters.lbm.UMQIndexInfo.index(), com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC, and com.latencybusters.lbm.LBM.UMQ_MAX_INDEX_LEN.

Referenced by com.latencybusters.lbm.LBMMessage.queueIndexInfo(), and com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo().

void com.latencybusters.lbm.UMQIndexInfo.setNumericIndex | ( | long | index | ) |

Sets the numeric index value of a numeric UMQIndexInfo object.

Parameters

  index | The numeric index to set.

Since
  UMQ 1.2

References com.latencybusters.lbm.UMQIndexInfo.index(), and com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

Referenced by com.latencybusters.lbm.LBMMessage.queueIndexInfo(), and com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo().

The documentation for this class was generated from the following file:

- UMQIndexInfo.java